<?php  

/**
 * AI Generator functionlity
 */
add_shortcode('ai_generator', function ($atts) {
    global $post, $action_message, $current_user, $current_page_is;
    $current_page_is = 'post_editor';
    

	$action_message = '';
		if( isset( $_GET['message_code'] ) ){
			if( $_GET['message_code'] == 'msg_saved' ){
				$action_message = '
				<div class="alert alert-success">Your Post Called <a target="_blank" href="'.get_permalink( $_GET['edit_post'] ).'">'.get_post( $_GET['edit_post'] )->post_title.'</a> has been created and saved as a draft.</div><!-- /.alert alert-success -->
				';
			}
		}
 
        $out = $action_message . '
		<form method="POST" action=""  enctype="multipart/form-data" >
			' . wp_nonce_field('save_post_action', 'save_post_nonce_field') . '
 
 ';
     
            $out .= '
 

			<div class="container1">
                <div class="row">
                    <div class="col-12 error_out_container"></div><!-- /.col-12 -->
                </div>
				<div class="row">
					<div class="col-9">

                        <label for="exampleFormControlInput1" class="font-weight-bold">Enter Your Request For Your Blog Post</label>
                        <div class="input-group mb-3">
                            <input type="text" class="form-control" name="post_title" id="post_title"  value="">
                            <div class="input-group-append">
                                <button class="btn btn-outline-secondary generate_ai_article" type="button">
                                Generate Blog Post
                                <div class="spinner-border spinner-border-sm collapse ai_loader" role="status"></div>
                                </button>
                            </div>
                        </div>

					 
						<div class="form-group content_block_container collapse">
							<label for="exampleFormControlTextarea1" class="font-weight-bold">Content</label>
							<!-- <textarea class="form-control" name="post_content" rows="50"></textarea> -->';
					 
							ob_start();
							wp_editor(   '' , 'post_content', [
								'media_buttons' => false
							] );
							$editor_contents = ob_get_clean();							 
							$out .= $editor_contents; 

							$out .= '
						</div>
					</div><!-- /.col-9 -->
					<div class="col-3">';
                    if(  $current_page_is != 'page_editor' ){
                    $out .= '
						<div class="form-group">
							<label for="exampleFormControlSelect1"><b>Available Categories</b></label>
							<select class="form-control" name="post_cat[]" id="post_cat"  multiple>';
                            $post_categories = [];
                            $this_post_categories = [];
                            foreach ($this_post_categories as $s_cat) {
                                $post_categories[] = $s_cat->term_id;
                            }

                            foreach (get_terms(['taxonomy' => 'category', 'hide_empty' => false]) as $s_cat) {
                                $out_categories[] = '<option ' . (in_array($s_cat->term_id, $post_categories) ? ' selected ' : '') . ' value="' . $s_cat->term_id . '"> ' . $s_cat->name;
                            }

                            $out .= implode('', $out_categories);

                            $out .= '
							</select>


						</div>';
                    }
                       $out .= '
						<div class="form-group">
						
						<label for="exampleFormControlFile1" class="font-weight-bold">Featured Image</label>
                        <input type="hidden" class="form-control"  id="feat_image_id" name="feat_image_id"  value="">
              
                
						 <br/>
    						<button type="button" class="btn btn-info select_feat_image">
                           Add Featured Image
                    
                            </button><!-- /.btn btn-info -->
						</div>

                        <div class="image_result_container "></div><!-- /.image_result_container -->

						<div class="form-group">
							<div class="mb-4 mt-2 text-center">
								<button type="submit" class="btn btn-info create_article_button">
                                    Create Your Article
                                    <div class="spinner-border spinner-border-sm collapse ai_create_image_loader" role="status"></div>
                                </button><!-- /.btn btn-info -->';
 
                                $out .= '
							</div><!-- /.mb-2 text-center -->
							<div>
							<p><b>Instructions:</b></p>
							<p>1. Enter a prompt for ChatGPT to be able to respond to your request and generate new content for you.</p>
							<p> </p>
							<p>2. Click Generate Blog Post.</p>
							<p> </p>
							<p>3. You can perform editing, using the Classic Editor in the content window.</p>
							<p> </p>
							<p>4. If wanted, copy and paste your AI generated title into the Blog Title to change what your blog post will be titled.
							<p> </p>
							<p>5. Choose one category to post to.</p>
							<p> </p>
							<p>6. Choose a Featured Image (optional).</p>
							<p> </p>
							<p>7. Click Create Your Article to create and save it in Draft Mode for future editing and publishing of your blog post.</p>
					 </div>
						</div>

                        

					</div><!-- /.col-9 -->
				</div>
			</div>





		</form>
		';

 
    return $out;
});


?>